Subject: Re: [PATCH net-next v2] samples/bpf: fixup some tools to be able to support xdp multibuffer

From: Jakub Kicinski <[email-masked]>
Date: Wed, 4 Jan 2023 17:17:33 -0800

On Wed, 04 Jan 2023 13:28:57 +0100 Toke Høiland-Jørgensen wrote:
> >> Interesting! :) My mental model was closer to GRO by frags 
> >> so the linear part would have no data, just headers.  
> >
> > That is assumption as well.  
> 
> Right, okay, so how many headers? Only Ethernet, or all the way up to
> L4 (TCP/UDP)?

If we're speaking about guarantees or hard requirements - I think that
we can only require / guarantee the Ethernet header. Requiring more
will be defeated by tunnels (i.e. adjust_head() + redirect to a veth).

> I do seem to recall a discussion around the header/data split for TCP
> specifically, but I think I mentally put that down as "something people
> may way to do at some point in the future", which is why it hasn't made
> it into my own mental model (yet?) :)